import 'tag.dart';
import 'actor.dart';

class VideoData {
  String movieName;
  int movieId;
  String movieUrl;
  String poster;
  int likes;
  int quality;
  int length;

  List<Tag> tags;
  List<Tag> suggestedTags;
  List<Actor> actors;

  VideoData(
      this.movieName,
      this.movieId,
      this.movieUrl,
      this.poster,
      this.likes,
      this.quality,
      this.length,
      this.tags,
      this.suggestedTags,
      this.actors);

  @override
  String toString() {
    return 'VideoData{movieName: $movieName, movieId: $movieId, movieUrl: $movieUrl, poster: $poster, likes: $likes, quality: $quality, length: $length, tags: $tags, suggestedTags: $suggestedTags, actors: $actors}';
  }

  factory VideoData.fromJson(dynamic json) {
    return VideoData(
      json['MovieName'] as String,
      json['MovieId'] as int,
      json['MovieUrl'] as String,
      json['Poster'] as String,
      json['Likes'] as int,
      json['Quality'] as int,
      json['Length'] as int,
      ((json['Tags'] ?? <dynamic>[]) as List<dynamic>)
          .map((e) => Tag.fromJson(e))
          .toList(growable: false),
      ((json['SuggestedTag'] ?? []) as List<dynamic>)
          .map((e) => Tag.fromJson(e))
          .toList(growable: false),
      ((json['Actors'] ?? []) as List<dynamic>)
          .map((e) => Actor.fromJson(e))
          .toList(growable: false),
    );
  }
}
